UNAME(2)

NAME
uname - get name and information about current kernel

SYNOPSIS
#include <sys/utsname.h>

int uname(struct utsname *buf);

DESCRIPTION
uname returns system information in buf. The utsname struct is as defined in <sys/utsname.h>:
struct utsname {
char sysname[SYS_NMLN];
char nodename[SYS_NMLN];
char release[SYS_NMLN];
char version[SYS_NMLN];
char machine[SYS_NMLN];
char domainname[SYS_NMLN];
};

RETURN VALUE
On success, zero is returned. On error, -1 is returned, and errno is set appropriately.

ERRORS

EFAULT
    buf is not valid.

CONFORMING TO
SVr4, SVID, POSIX, X/OPEN

SEE ALSO
uname(1), getdomainname(2), gethostname(2)